Archive for the ‘hardy’ Tag

Script para actualizar las llaves públicas GPG de Launchpad en Ubuntu

Como habreis podido comprobar, desde hace algún tiempo al actualizar los repositorios Launchpad en Ubuntu, salta un error de actualización parecido a este:

GPG error: http://ppa.launchpad.net intrepid Release: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY 4874D3686E80C6B7

Eso es porque ahora los repositorios PPA han empezado a ofrecer paquetes firmados. Para descargarse las llaves de aquellos programas alojados en Launchpad es necesario ir a la página correspondiente y descargar la llave de forma manual. Para los que tenemos en los repositorios varios proyectos de Launchpad esto puede llegar a resultar un coñazo. Por eso en Ubuntuforums han creado un bonito script que lo hace todo por nosotros, de forma automatica.

El script es este: launchpad-update-final.zip (hay que estar registrado, pero también lo podeis descargar de AQUÍ)

Lo descargamos y lo descomprimos:

$ sudo unzip launchpad-update-final.zip

Y lo ejecutamos de la siguiente manera:

$ sudo ./launchpad-update-final intrepid

Y a continuación actualizamos los repositorios. Si estuvieramos en Hardy, basta con sustituir en la anterior linea “intrepid” por “hardy”.

Script para instalar el útimo driver de ALSA en Ubuntu

Ubuntuforums es una fuente inagotable de recursos para Ubuntu. En esta ocasión, he encontrado un interesante hilo en el que el autor ha creado un script para instalar los últimos drivers ALSA (http://es.wikipedia.org/wiki/Arquitectura_de_Sonido_Avanzada_para_Linux) para Ubuntu Hardy. En estos momentos la última versión de ALSA es la 1.0.17, la cual funciona genial gracias a este script que lo hace todo él solito.

Los paquetes que descarga y después compila e instala son:

alsa-lib-1.0.17.tar.bz2
alsa-driver-1.0.17.tar.bz2
alsa-tools-1.0.17.tar.bz2
alsa-utils-1.0.17.tar.bz2

El script en cuestión es este: http://ubuntuforums.org/attachment.php?attachmentid=79688&d=1217560509

Una vez descargado, le damos permisos de ejecución y lo ejecutamos:


sudo chmod 777 alsa-1.0.17.sh
sudo sh ./alsa-1.0.17.sh

A continuación reiniciamos y listo.

Cómo instalar los drivers de madwifi para tarjetas Atheros en Ubuntu

AVISO: Estos drivers tienen un módulo (ath_hal) con licencia propietaria. Puedes comprobarlo en una terminal ejecutando ‘modinfo ath_hal’.

Este tutorial sirve para instalar los drivers madwifi en Ubuntu Gutsy/Hardy para tarjetas Atheros 802.11 wireless LAN. Probado con éxito en las AR5007EG (que son las mismas que la AR242x 802.11abg). Información sobre la tarjeta en http://www.atheros.com/pt/AR5007EG.htm

Primero hay que desinstalar cualquier rastro del Ndiswrapper (si estuviera instalado) y quitar los módulos que hubieran instalados.

Descargamos los drivers de AQUI y los descomprimimos el nuestro /home.

Entramos al directorio creado y ejecutamos:

sudo make
sudo make install

Ahora basta con instalar el módulo ath_pci:

sudo modprobe ath_pci

Reiniciamos el equipo y ejecutamos en una terminal,

sudo iwconfig

para comprobar que se ha instalado correctamente. Debería aparecer algo como,

cutoff@this:~$ sudo iwconfig
lo no wireless extensions.

eth0 no wireless extensions.

wifi0 no wireless extensions.

ath0 IEEE 802.11g ESSID:”” Nickname:””
Mode:Managed Frequency:2.437 GHz Access Point: Not-Associated
Bit Rate:0 kb/s Tx-Power:16 dBm Sensitivity=1/1
Retry:off RTS thr:off Fragment thr:off
Power Management:off
Link Quality=0/70 Signal level=-96 dBm Noise level=-96 dBm
Rx invalid nwid:798 Rx invalid crypt:0 Rx invalid frag:0
Tx excessive retries:0 Invalid misc:0 Missed beacon:0